> ## Documentation Index
> Fetch the complete documentation index at: https://docs.withterminal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Issues

> List all issues that have been observed by Terminal.

Issues are generated when we observe something that may impact the completeness or accuracy of the data we provide but do not justify a full error.
For example, if we lack permissions for a specific resource or need to skip an item due to invalid data.


## OpenAPI

````yaml GET /issues
openapi: 3.1.0
info:
  title: Terminal Telematics API
  description: >-
    Terminal is a unified API that makes it easy to integrate with the leading
    telematics service providers.
  version: '0.0'
  contact:
    name: Terminal
    email: connect@withterminal.com
    url: https://www.withterminal.com
servers:
  - url: https://api.withterminal.com/tsp/v1
    description: Production
  - url: https://api.sandbox.withterminal.com/tsp/v1
    description: Sandbox
security:
  - Authorization: []
tags:
  - name: Authentication
  - name: Connections
  - name: Data Management
  - name: Drivers
  - name: Groups
  - name: Hours of Service
  - name: IFTA
  - name: Issues
  - name: Link
  - name: Providers
  - name: Safety
  - name: Trailers
  - name: Vehicles
  - name: Vehicle Utilization
  - name: Webhook Events
paths:
  /issues:
    get:
      tags:
        - Issues
      summary: List Issues
      description: >-
        List all issues that have been observed by Terminal.

        Issues are generated when we observe something that may impact the
        completeness or accuracy of the data we provide but do not justify a
        full error.

        For example, if we lack permissions for a specific resource or need to
        skip an item due to invalid data.
      operationId: listIssues
      parameters:
        - name: X-Application-Id
          in: header
          required: false
          description: >-
            Scopes the request to a Terminal application in the caller's
            organization. Required for multi-application organizations when
            using a user session or OAuth access token. API keys are already
            bound to a single application.
          schema:
            type: string
        - name: limit
          in: query
          required: false
          schema:
            type: integer
          description: The maximum number of results to return in a page.
        - name: cursor
          in: query
          schema:
            type: string
            format: cursor
            example: cD0yMDIxLTAxLTA2KzAzJTNBMjQlM0E1My40MzQzMjYlMkIwMCUzQTAw
          description: Pagination cursor to start requests from
        - schema:
            title: ISODateTime
            type: string
            format: date-time
            example: '2021-01-06T03:24:53.000Z'
            description: '[ISO 8601](https://www.w3.org/TR/NOTE-datetime) date'
          in: query
          name: lastReportedAfter
          description: Timestamp to start when the issue was last observed
        - schema:
            title: ISODateTime
            type: string
            format: date-time
            example: '2021-01-06T03:24:53.000Z'
            description: '[ISO 8601](https://www.w3.org/TR/NOTE-datetime) date'
          in: query
          name: lastReportedBefore
          description: Timestamp to end when the issue was last observed
        - schema:
            type: string
            enum:
              - connection
          in: query
          name: expand
          description: Expand related resources to see all details
        - schema:
            title: ConnectionId
            type: string
            format: ulid
            example: conn_01GV12VR4DJP70GD1ZBK0SDWFH
          in: query
          name: connectionId
          description: Filter issues to a specific connection
        - schema:
            title: IssueCode
            type: string
            enum:
              - missing_permissions
              - exceeded_retention_window
              - invalid_source_id
              - unknown_device_type
              - missing_safety_configuration
              - inaccessible_data
              - manually_disabled
          in: query
          name: errorCode
          description: Filter issues to a specific error code
        - schema:
            type: string
            enum:
              - ongoing
              - resolved
          in: query
          name: status
          description: Filter issues to a specific status
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  results:
                    type: array
                    items:
                      title: Issue
                      type: object
                      x-model-category: platform
                      properties:
                        id:
                          title: IssueId
                          type: string
                          format: ulid
                          pattern: ^isu_[0-9A-HJKMNP-TV-Z]{26}$
                          example: isu_01D8ZQFGHVJ858NBF2Q7DV9MNC
                        connection:
                          title: ExpandableConnection
                          example: conn_01GV12VR4DJP70GD1ZBK0SDWFH
                          oneOf:
                            - title: ConnectionId
                              type: string
                              format: ulid
                              example: conn_01GV12VR4DJP70GD1ZBK0SDWFH
                            - type: object
                              properties:
                                id:
                                  type: string
                              required:
                                - id
                          description: >-
                            Entities in Terminal are expandable. Using the
                            `expand` query parameter you can choose to ingest
                            just an ID or the full entity details.
                        status:
                          enum:
                            - ongoing
                            - resolved
                        error:
                          type: object
                          properties:
                            code:
                              title: IssueCode
                              type: string
                              enum:
                                - missing_permissions
                                - exceeded_retention_window
                                - invalid_source_id
                                - unknown_device_type
                                - missing_safety_configuration
                                - inaccessible_data
                                - manually_disabled
                            message:
                              type: string
                              example: >-
                                Failed to ingest HOS Logs, missing permissions
                                to access Duty Status Logs
                          required:
                            - code
                            - message
                        firstReportedAt:
                          title: ISODateTime
                          type: string
                          format: date-time
                          example: '2021-01-06T03:24:53.000Z'
                          description: '[ISO 8601](https://www.w3.org/TR/NOTE-datetime) date'
                        lastReportedAt:
                          title: ISODateTime
                          type: string
                          format: date-time
                          example: '2021-01-06T03:24:53.000Z'
                          description: '[ISO 8601](https://www.w3.org/TR/NOTE-datetime) date'
                      required:
                        - id
                        - connection
                        - status
                        - error
                        - firstReportedAt
                        - lastReportedAt
                      x-description: >-
                        An issue is a problem we encountered while ingesting
                        data from a connection that may impact the quality or
                        completeness of the data.
                  next:
                    title: Pagination Cursor
                    type: string
                    example: cD0yMDIxLTAxLTA2KzAzJTNBMjQlM0E1My40MzQzMjYlMkIwMCUzQTAw
                    description: Cursor used for pagination.
                    format: cursor
                required:
                  - results
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    enum:
                      - bad_request
                  message:
                    type: string
                    example: Invalid request body
                  detail:
                    type: array
                    items:
                      title: ErrorPathDetail
                      type: object
                      properties:
                        message:
                          type: string
                          example: '''vehicleId'' property must be a valid ulid'
                        path:
                          type: string
                          example: '{requestQuery}.vehicleId'
                        suggestion:
                          type: string
                          example: >-
                            Please ensure you submit a valid 'vehicleId'
                            property
                        context:
                          type: object
                      required:
                        - message
                        - path
                required:
                  - code
                  - message
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    enum:
                      - unauthorized
                  message:
                    type: string
                    example: Unauthorized Request
                  detail:
                    type: string
                    example: Please ensure you have a valid API key
                required:
                  - code
                  - message
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    enum:
                      - forbidden
                  message:
                    type: string
                    example: Forbidden Request
                  detail:
                    type: string
                    example: >-
                      Please ensure the connection token matches the resource
                      you are attempting to access.
                required:
                  - code
                  - message
        '429':
          description: Too Many Requests
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
                properties:
                  code:
                    enum:
                      - too_many_requests
                  retryAfter:
                    description: The number of seconds to wait before retrying the request
                    type: integer
                    example: 60
                  message:
                    type: string
                    example: Too Many Requests
                  detail:
                    type: string
                    example: You have exceeded your rate limit. Please try again later.
                required:
                  - code
                  - message
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    enum:
                      - internal_server_error
                  message:
                    type: string
                    example: Internal Server Error
                  detail:
                    type: string
                    example: Something went wrong
                required:
                  - code
                  - message
        '504':
          description: Gateway Timeout Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    enum:
                      - gateway_timeout
                  message:
                    type: string
                    example: Gateway Timeout
                required:
                  - code
                  - message
components:
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````